Loading...
Searching...
No Matches
Magick::DrawableText Class Reference
Inheritance diagram for Magick::DrawableText:

## Public Member Functions

| DrawableText (const double x_, const double y_, const std::string &text_)
| DrawableText (const double x_, const double y_, const std::string &text_, const std::string &encoding_)
| DrawableText (const DrawableText &original_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | encoding (const std::string &encoding_)
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
void | text (const std::string &text_)
std::string | text (void) const

## Private Attributes

double | _x
double | _y
std::string | _text
std::string | _encoding

## Detailed Description

Definition at line 2002 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableText() [1/3]

Magick::DrawableText::DrawableText | ( | const double | x_,
|  | const double | y_,
|  | const std::string & | text_ )

Definition at line 1440 of file Drawable.cpp.

: _x(x_),
_y(y_),
_text(text_),
_encoding()
{
}

## DrawableText() [2/3]

Magick::DrawableText::DrawableText | ( | const double | x_,
|  | const double | y_,
|  | const std::string & | text_,
|  | const std::string & | encoding_ )

Definition at line 1448 of file Drawable.cpp.

: _x(x_),
_y(y_),
_text(text_),
_encoding(encoding_)
{
}

## DrawableText() [3/3]

Magick::DrawableText::DrawableText | ( | const DrawableText & | original_ | ) |

Definition at line 1456 of file Drawable.cpp.

: DrawableBase (original_),
_x(original_._x),
_y(original_._y),
_text(original_._text),
_encoding(original_._encoding)
{
}

## ~DrawableText()

Magick::DrawableText::~DrawableText | ( | void |  | ) |

Definition at line 1464 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableText::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1474 of file Drawable.cpp.

{
return new DrawableText(*this);
}

## encoding()

void Magick::DrawableText::encoding | ( | const std::string & | encoding_ | ) |

inline

Definition at line 2020 of file Drawable.h.

{
_encoding = encoding_;
}

## operator()()

void Magick::DrawableText::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1467 of file Drawable.cpp.

{
DrawSetTextEncoding( context_, _encoding.c_str() );
DrawAnnotation( context_, _x, _y,
reinterpret_cast<const unsigned char*>(_text.c_str()) );
}

## text() [1/2]

void Magick::DrawableText::text | ( | const std::string & | text_ | ) |

inline

Definition at line 2043 of file Drawable.h.

{
_text = text_;
}

## text() [2/2]

std::string Magick::DrawableText::text | ( | void |  | ) | const

inline

Definition at line 2047 of file Drawable.h.

{
return _text;
}

## x() [1/2]

void Magick::DrawableText::x | ( | double | x_ | ) |

inline

Definition at line 2025 of file Drawable.h.

{
_x = x_;
}

## x() [2/2]

double Magick::DrawableText::x | ( | void |  | ) | const

inline

Definition at line 2029 of file Drawable.h.

{
return _x;
}

## y() [1/2]

void Magick::DrawableText::y | ( | double | y_ | ) |

inline

Definition at line 2034 of file Drawable.h.

{
_y = y_;
}

## y() [2/2]

double Magick::DrawableText::y | ( | void |  | ) | const

inline

Definition at line 2038 of file Drawable.h.

{
return _y;
}

## Field Documentation

## _encoding

std::string Magick::DrawableText::_encoding

private

Definition at line 2056 of file Drawable.h.

## _text

std::string Magick::DrawableText::_text

private

Definition at line 2055 of file Drawable.h.

## _x

double Magick::DrawableText::_x

private

Definition at line 2053 of file Drawable.h.

## _y

double Magick::DrawableText::_y

private

Definition at line 2054 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp